%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Dist-Checkconflicts
Version:       0.11
Release:       1mamba
Summary:       Dist::CheckConflicts - declare version conflicts for your dist
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/D/DO/DOY/Dist-CheckConflicts-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-List-MoreUtils
BuildRequires: perl-Sub-Exporter
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Dist::CheckConflicts - declare version conflicts for your dist.

%prep
%setup -q -n Dist-CheckConflicts-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic update by autodist

* Wed Dec 25 2013 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic update by autodist

* Sun Jul 21 2013 Automatic Build System <autodist@mambasoft.it> 0.09-1mamba
- automatic update by autodist

* Sat Jun 22 2013 Automatic Build System <autodist@mambasoft.it> 0.06-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.02-2mamba
- perl 5.16 mass rebuild

* Sat Oct 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.02-1mamba
- package created by autospec
